/* ------------------------------------------------------------------------------
  File: CHR_ITG3200.h
  Author: CH Robotics
  Version: 1.0
  
  Description: Code for interacting with the ITG3200 gyro
------------------------------------------------------------------------------ */ 

#ifndef	__CHR_L3GD20_H
#define __CHR_L3GD20_H

// HMC5843 function calls
int32_t initializeL3G( uint8_t* status_flag );
int32_t getL3GData( void );

#define	L3G_SLAVE_ADDRESS7	 (0x6B << 1)

// Register addresses for the ITG3200
#define	L3G_REG_WHOAMI			0x00
#define	L3G_REG_CNTRL1			0x20
#define L3G_REG_CNTRL2			0x21
#define L3G_REG_CNTRL3			0x22
#define L3G_REG_CNTRL4			0x23
#define L3G_REG_CNTRL5			0x24
#define L3G_REG_REF				0x25

#define L3G_REG_OUT_TEMP		0x26
#define L3G_REG_STATUS			0x27
#define L3G_REG_OUT_X_L			0x28
#define L3G_REG_OUT_X_H			0x29
#define L3G_REG_OUT_Y_L			0x2A
#define L3G_REG_OUT_Y_H			0x2B
#define L3G_REG_OUT_Z_L			0x2C
#define L3G_REG_OUT_Z_H			0x2D

#define L3G_REG_FIFO_CNTRL		0x2E
#define L3G_REG_FIFO_SRC		0x2F

#define L3G_REG_INT1_CFG		0x30
#define L3G_REG_INT1_SRC		0x31
#define L3G_REG_INT1_TSH_XH		0x32
#define L3G_REG_INT1_TSH_XL		0x33
#define L3G_REG_INT1_TSH_YH		0x34
#define L3G_REG_INT1_TSH_YL		0x35
#define L3G_REG_INT1_TSH_ZH		0x36
#define L3G_REG_INT1_TSH_ZL		0x37

#define L3G_INT1_DURATION		0x38

#endif
