/* ------------------------------------------------------------------------------
  File: CHR_LSM303.h
  Author: CH Robotics
  Version: 1.0
  
  Description: Code for interacting with the accel on the LS303
------------------------------------------------------------------------------ */ 

#ifndef	__CHR_LSM3200_H
#define __CHR_LSM3200_H

// HMC5843 function calls
int32_t initializeLSM( uint8_t* status_flag );
int32_t getLSMData( void );

#define	LSM_SLAVE_ADDRESS7	(0x32)

#define	LSM_CTRL_REG1_A		0x20
#define	LSM_CTRL_REG2_A		0x21
#define	LSM_CTRL_REG3_A		0x22
#define	LSM_CTRL_REG4_A		0x23
#define	LSM_CTRL_REG5_A		0x24
#define	LSM_CTRL_REG6_A		0x25

#define	LSM_OUT_X_L				0x28
#define	LSM_OUT_X_H				0x29
#define	LSM_OUT_Y_L				0x2A
#define	LSM_OUT_Y_H				0x2B
#define	LSM_OUT_Z_L				0x2C
#define	LSM_OUT_Z_H				0x2D

#endif
