/*
 * CHR_matrix.h
 *
 * Created: 11/7/2012 11:43:37 AM
 *  Author: Caleb
 */ 


#ifndef CHR_MATRIX_H_
#define CHR_MATRIX_H_

// Define maximum matrix size so that we have a convenient place to do
// in-place operations (where the destination is equal to one of the sources).
#define MAX_MATRIX_ROWS		16
#define MAX_MATRIX_COLS		16


typedef struct _fMatrix {
	 int rows;
	 int columns;
	 float *data;
} fMatrix;

// Matrix operations
int mat_add( fMatrix* src1, fMatrix* src2, fMatrix* dest );
int mat_mult( fMatrix* src1, fMatrix* src2, fMatrix* dest );
int mat_mult_new_dest( const fMatrix* src1, const fMatrix* src2, fMatrix* dest );
int mat_scalar_mult( float scalar, fMatrix* src, fMatrix* dest );
int mat_determinant( fMatrix* src, float* det );
int mat_transpose( fMatrix* src, fMatrix* dest );
int mat_transpose_new_dest( const fMatrix* src, fMatrix* dest );
int mat_create_identity( fMatrix* dest, int rows, int columns );
int mat_zero( fMatrix* dest, int rows, int columns );
int mat_copy( fMatrix* src, fMatrix* dest );
int mat_invert_2x2( fMatrix* src, fMatrix* dest );

int mat_print( fMatrix* matrix );

#endif /* CHR_MATRIX_H_ */