/* ------------------------------------------------------------------------------
  File: MPU9150.h
  Author: CH Robotics
  Version: 1.0
  
  Description: Functions for interacting with the MPU9150
------------------------------------------------------------------------------ */ 

#ifndef _MPU9150_H
#define _MPU9150_H

#define MPU9150_SLAVE_ADDR      		(0x68 << 1)     // 0b1101000 << 1
#define MPU9150_REG_CONFIG              0x1A
#define MPU9150_REG_GYRO_CONFIG         0x1B
#define MPU9150_REG_ACCEL_CONFIG        0x1C

#define MPU9150_REG_INT_PIN_CONFIG      0x37
#define MPU9150_REG_INT_ENABLE          0x38

#define MPU9150_REG_USR_CNTRL			0x6A
#define MPU9150_REG_PWR1                0x6B

#define MPU9150_REG_INT_STATUS          0x3A

#define MPU9150_MAG_SLAVE_ADDR			(0x0C << 1)
#define MPU9150_REG_MAG_CNTL            0x0A
#define MPU9150_REG_MAG_XH              0x03

uint8_t MPU9150_init( void );
uint8_t MPU9150_get_accel_gyro_data( void );

uint8_t MPU9150_get_mag_data( void );
uint8_t MPU9150_start_mag_conversion( void );

#endif
